# $Revision: 1.8 $, $Date: 2009/11/22 15:33:29 $
Summary:	Handle user special directories
Summary(pl.UTF-8):	Obsługa specjalnych katalogów użytkownika
Name:		xdg-user-dirs
Version:	0.12
Release:	1
License:	GPL v2
Group:		Libraries
Source0:	http://user-dirs.freedesktop.org/releases/%{name}-%{version}.tar.gz
# Source0-md5:	c3a78a12bd02a5dd461c3d49f9abdd18
Source1:	%{name}.sh
URL:		http://www.freedesktop.org/wiki/Software/xdg-user-dirs
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xdg-user-dirs is a tool to help manage "well known" user directories
like the desktop folder and the music folder. It also handles
localization (i.e. translation) of the filenames.

%description -l pl.UTF-8
xdg-user-dirs to narzędzie pomagające zarządzać "dobrze znanymi"
katalogami użytkownika, takimi jak pulpit czy katalog z muzyką.
Obsługuje także lokalizację (tzn. tłumaczenia) nazw plików.

%prep
%setup -q

%build
%{__gettextize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/X11/xinit/xinitrc.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/X11/xinit/xinitrc.d/%{name}.sh

[ -d $RPM_BUILD_ROOT%{_datadir}/locale/sr@latin ] || \
        mv -f $RPM_BUILD_ROOT%{_datadir}/locale/sr@{Latn,latin}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_sysconfdir}/X11/xinit/xinitrc.d/xdg-user-dirs.sh
%attr(755,root,root) %{_bindir}/xdg-user-dir
%attr(755,root,root) %{_bindir}/xdg-user-dirs-update
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/user-dirs.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/user-dirs.defaults

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xdg-user-dirs.spec,v $
Revision 1.8  2009/11/22 15:33:29  megabajt
- updated to 0.12
- removed obsolete -configure.patch

Revision 1.7  2008/07/29 18:45:54  qboosh
- fixed configure patch to kill bogus libtool dependency

Revision 1.6  2008/07/29 18:27:32  qboosh
- pl

Revision 1.5  2008/07/09 08:12:45  megabajt
- added -configure.patch to fix build
- release 3

Revision 1.4  2008/06/11 15:51:46  hawk
- release 2

Revision 1.3  2008-05-31 01:04:09  zbyniu
- up to 0.10

Revision 1.2  2007-11-10 11:46:42  megabajt
- sr@Latn -> sr@latin; release 2

Revision 1.1  2007/09/23 15:07:03  megabajt
- new
